Intrusion Prevention

Apache.Traffic.Server.HTTP2.Settings.Flood.DoS

Description

This indicates an attack attempt to exploit a Denial of Service Vulnerability in Apache Software Foundation Traffic Server.
A remote, unauthenticated attacker can exploit this vulnerability on a vulnerable version of Apache Traffic Server. By sending a continuous steam of HTTP/2 frames, the attacker can cause a significant resource exhaustion on the target server, and leading to a potential denial-of-service condition especially if a distributed network of source machines are employed.

Affected Products

Apache Software Foundation Traffic Server prior to 8.0.4

Impact

Denial of Service: Remote attackers can crash vulnerable systems.

Recommended Actions

Apply the most recent upgrade or patch from the vendor.
https://raw.githubusercontent.com/apache/trafficserver/8.0.x/CHANGELOG-8.0.4

CVE References

CVE-2019-9515